Record a remittance
curl --request POST \
--url https://api.heyrafiki.space/v1/remittances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"payer_reference": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"claim_id": "<string>",
"paid_amount": 4503599627370496,
"reason_codes": []
}
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payer_reference: '<string>',
received_at: '2023-11-07T05:31:56Z',
allocations: [{claim_id: '<string>', paid_amount: 4503599627370496, reason_codes: []}]
})
};
fetch('https://api.heyrafiki.space/v1/remittances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/remittances"
payload = {
"payer_reference": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"claim_id": "<string>",
"paid_amount": 4503599627370496,
"reason_codes": []
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/remittances"
payload := strings.NewReader("{\n \"payer_reference\": \"<string>\",\n \"received_at\": \"2023-11-07T05:31:56Z\",\n \"allocations\": [\n {\n \"claim_id\": \"<string>\",\n \"paid_amount\": 4503599627370496,\n \"reason_codes\": []\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "remittance",
"status": "received",
"payer_reference": "<string>",
"amount": {
"currency": "<string>",
"paid": 2
},
"allocations": [
{
"claim_id": "<string>",
"paid_amount": 4503599627370496,
"reason_codes": [
"<string>"
]
}
],
"received_at": "2023-11-07T05:31:56Z",
"reconciled_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Record a remittance
Allocates payer remittance advice to adjudicated Claims without recording payment settlement. Requires remittances:write.
POST
/
remittances
Record a remittance
curl --request POST \
--url https://api.heyrafiki.space/v1/remittances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"payer_reference": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"claim_id": "<string>",
"paid_amount": 4503599627370496,
"reason_codes": []
}
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payer_reference: '<string>',
received_at: '2023-11-07T05:31:56Z',
allocations: [{claim_id: '<string>', paid_amount: 4503599627370496, reason_codes: []}]
})
};
fetch('https://api.heyrafiki.space/v1/remittances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/remittances"
payload = {
"payer_reference": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"claim_id": "<string>",
"paid_amount": 4503599627370496,
"reason_codes": []
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/remittances"
payload := strings.NewReader("{\n \"payer_reference\": \"<string>\",\n \"received_at\": \"2023-11-07T05:31:56Z\",\n \"allocations\": [\n {\n \"claim_id\": \"<string>\",\n \"paid_amount\": 4503599627370496,\n \"reason_codes\": []\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "remittance",
"status": "received",
"payer_reference": "<string>",
"amount": {
"currency": "<string>",
"paid": 2
},
"allocations": [
{
"claim_id": "<string>",
"paid_amount": 4503599627370496,
"reason_codes": [
"<string>"
]
}
],
"received_at": "2023-11-07T05:31:56Z",
"reconciled_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Headers
A caller-owned key for safely retrying one write.
Required string length:
8 - 255Body
application/json
Response
The remittance was reconciled
Pattern:
^rem_[A-Za-z0-9_-]+$Allowed value:
"remittance"Available options:
received, reconciled, exception Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 10, 2026
Was this page helpful?

